package agence;
 import javax.swing.JFrame;
 import java.sql.*;
 
 public class Adresse extends 
 	TableModelRequeteParametreeAbstraite {
 		
  public static final String req = "SELECT num_logement, nom_immeuble," + 
    "complement_adresse, nom_quartier,code_postal, nom_ville " +
	"FROM immeuble_reel , logement_reel , quartier , ville " + 
		"WHERE (num_logement= ?)" +
		"AND (immeuble_reel.num_immeuble=logement_reel.num_immeuble)" +
 		"AND (immeuble_reel.num_quartier=quartier.num_quartier)" +
		"AND (ville.code_postal=quartier.code_postal)";
		
  public static final String[] columnNames = {"num_logement","nom_immeuble",  
    "complement_adresse", "nom_quartier","code_postal", "nom_ville"};
    
  public static String [] valueNames ={"num_logement"}; 
  
  public static int [] valueTypes = {Types.INTEGER};
  
  public static String[] params = {"num_logement"};
  
  public Adresse(Connection conn, JFrame frame, Object [] values) {
     super(req, columnNames, params, values, valueNames, valueTypes, conn, frame);;
  }
 }