package agence;
 import javax.swing.JFrame;
 import java.sql.*;
 
 public class ListeBauxRenouveles extends 
 	TableModelRequeteNonParametreeAbstraite {
 		
  public static final String req ="select DISTINCT B1.num_logement" +
       "FROM bail B1, bail B2, signe_par S1 , signe_par S2" +
       "WHERE (B1.num_logement = B2.num_logement)" +
       "AND (B1.date_signature != B2.date_signature)" +
       "AND (S1.num_bail = B1.num_bail)" +
       "AND (S2.num_bail = B2.num_bail)" +
       "AND (S1.type_sign != 'garant')" +
       "AND (S2.type_sign != 'garant')" +
       "AND (S1.nss= S2.nss)";
       
  public static final String[] columnNames = {"num_logement"};
  
  
  public  ListeBauxRenouveles (Connection conn, JFrame frame, Object [] values) {
  super(req, columnNames, conn, frame);
  }
 }