package agence;
 import javax.swing.JFrame;
 import java.sql.*;
 
 public class ListeOccupRetardLoyer extends 
 	TableModelRequeteParametreeAbstraite {
 		
  public static final String req ="SELECT P.nom AS nom_locataire, P.prenom AS prenom_loctaire" +
	"FROM bail B, logement_reel L, immeuble_reel I, personne P, signe_par S" +
	"WHERE (B.num_logement=L.num_logement)" +
	"AND (I.num_immeuble=L.num_immeuble)" +
	"AND (I.nom_immeuble= ?)" +
	"AND (s.num_bail=B.num_bail)" +
	"AND (s.nss = P.nss)" +
	"AND    B.num_bail  IN" +
		"(SELECT F.num_bail" +
			"FROM facture F , bail B" +
			"WHERE (B.num_bail=F.num_bail)" +
			"AND   (F.date_payement >= (select trunc( sysdate , 'mon') + 9 FROM dual) ))"; 
  
  public static final String[] columnNames = {"nom_locataire","prenom_locataire"};
  
  public static String [] valueNames ={"nom_immeuble"}; 
  
  public static int [] valueTypes = {Types.VARCHAR};
  
  public static String[] params = {"nom_immeuble"};
  
  public  ListeOccupRetardLoyer (Connection conn, JFrame frame, Object [] values) {
    super(req, columnNames, params, values, valueNames, valueTypes, conn, frame);
  }
 }