package agence;
 import javax.swing.JFrame;
 import java.sql.*;
 
 public class LoyerPayMensLocataire extends 
 	TableModelRequeteParametreeAbstraite {
 		
  public static final String req = "Select avg(F.loyer + F.charges_mens) AS total_paye_mensuellement"+
	"FROM facture F, signe_par S, bail B, personne P" +
	"WHERE (S.nss = P.nss)"+
	"AND  (P.nom = ?)"+
    "AND (P.prenom = ? )"+
    "AND (S.num_bail=B.num_bail)"+
	"AND(B.date_fin>sysdate)"+
	"AND (F.num_bail=B.num_bail)";
	
  public static final String[] columnNames = {"total_paye_mensuellement"};
  
  public static String [] valueNames ={"nom", "prenom"}; 
  
  public static int [] valueTypes = {Types.VARCHAR, Types.VARCHAR};
  
  public static String[] params = {"nom", "prenom"};
  
  public LoyerPayMensLocataire (Connection conn, JFrame frame, Object [] values) {
    super(req, columnNames, params, values, valueNames, valueTypes, conn, frame);
  }
 }