package agence;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.sql.Connection;

public class MAJTablePanel extends JPanel {

  public MAJTablePanel (final JFrame frame, final Connection conn, final JTable table,
                           final String[] valueNames, final int[] valueTypes,
                           final String request, int updateType) {

    super(new BorderLayout());

    table.setPreferredScrollableViewportSize(new Dimension(800, 600));
    JScrollPane scrollPane = new JScrollPane(table);
    scrollPane.setOpaque(true);
    add(scrollPane, BorderLayout.CENTER);

    JButton button = new JButton(updateType == Gestion.INSERT_UPDATE ?
                                 "INSERER LES VALEURS" : "SUPPRIMER LES VALEURS");
  //cration d'un bouton pour dterminer la MAJ  faire: ajout ou supression                               
    button.addActionListener(new ActionListener() {
      public void actionPerformed (ActionEvent e) {
        new MAJTable(frame, conn, table, valueNames, valueTypes, request);
      }
    });
    add(button, BorderLayout.SOUTH);

  }

}
