package agence;
import java.sql.*;
import javax.swing.*;

public abstract class TableModelRequeteNonParametreeAbstraite extends
    MaTableModelAbstraite {

  private Statement statement = null;
  private ResultSet rset = null;

  public TableModelRequeteNonParametreeAbstraite (String req,
      String[] columnNames, Connection conn, JFrame frame) {

    super(columnNames);

       try {
      statement = conn.createStatement();
    }
    catch (SQLException ex) {
      ex.printStackTrace();
      JOptionPane.showMessageDialog(frame, "Ne peut creer de Statement",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);

    }

    try {
      rset = statement.executeQuery(req);
    }
    catch (SQLException ex1) {
      ex1.printStackTrace();
      JOptionPane.showMessageDialog(frame, "Ne peut executer la requete",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    setValues(rset);

    try {
      statement.close();
    }
    catch (SQLException ex2) {
      ex2.printStackTrace();
      System.exit(1);
    }

  }

}
