package agence;
 import javax.swing.JFrame;
 import java.sql.*;
 
 public class TotMensMoyColProprietaire extends 
 	TableModelRequeteParametreeAbstraite {
 		
  public static final String req ="Select (avg( loyer)*0.95) as Total_moyen"+
       "FROM facture F, bail B"+
       "WHERE (F.num_bail = B.num_bail)"+
       "AND B.num_bail IN"+
       	   	      "(Select num_bail"+
		      	     " FROM bail B1, logement_reel L"+
			      "WHERE (B1.num_logement = L.num_logement)"+
			      "AND L.num_logement IN"+
			      	  	       "(Select num_logement"+
					       	       "FROM logement_reel L1, personne P"+
						       "WHERE (L1.nss = p.nss)"+
						       "AND (P.nom = ?)"+
						       "AND (P.prenom = ?)))"; 
						       
  public static final String[] columnNames = {"Total_moyen"};
  
  public static String [] valueNames ={"nom", "prenom"}; 
  
  public static int [] valueTypes = {Types.VARCHAR, Types.VARCHAR};
  
  public static String[] params = {"nom", "prenom"};
  
  public  TotMensMoyColProprietaire (Connection conn, JFrame frame, Object [] values) {
    super(req, columnNames, params, values, valueNames, valueTypes, conn, frame);
  }
 }