<?php
//Fichier de creation de la base de donnee
//connexion a la bdd
include './connexion.php';

//creation de la table ville
$requete = "CREATE TABLE IF NOT EXISTS `ville` (
			`code_postal` int(11) NOT NULL,
			`nom_ville` char(20) NOT NULL,
			PRIMARY KEY  (`code_postal`)
			) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='liste des villes avec leur code postal';";
$res = mysql_query($requete) or die("Cration de la table ville impossible");

//echo '<li><a href="entree.php">Retour  accueil</a></li>';

//creation de la table quartier
$requete = "CREATE TABLE IF NOT EXISTS `quartier` (
			`num_quartier` int(11) NOT NULL auto_increment COMMENT 's''incrmente automatiquement',
			`nom_quartier` char(20) NOT NULL,
			`code_postal` int(11) NOT NULL,
			PRIMARY KEY  (`num_quartier`),
			FOREIGN KEY (`code_postal`) references ville (`code_postal`)
			) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COMMENT='table des quartiers de la base' AUTO_INCREMENT=7 ;";
$res = mysql_query($requete) or die("Cration de la table quartier impossible");

//creation de la table immeuble
$requete = "CREATE TABLE IF NOT EXISTS `immeuble` (
			`num_immeuble` int(11) NOT NULL auto_increment COMMENT 'incrementation automatique',
			`num_quartier` int(11) NOT NULL COMMENT 'a partir de la table quartier',
			`nom_immeuble` char(20) NOT NULL default 'immeuble',
			`date_cons` date default NULL,
			`date_last_refection` date default NULL,
			`complement_adresse` char(40) default 'complement adresse',
			`etat` char(10) NOT NULL default 'dispo',
			PRIMARY KEY  (`num_immeuble`)
			) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COMMENT='liste des immeubles' AUTO_INCREMENT=8 ;";
$res = mysql_query($requete) or die("Cration de la table immeuble impossible");

//creation de la table catgorie
$requete = "CREATE TABLE IF NOT EXISTS `categorie` (
			`num_categorie` int(11) NOT NULL auto_increment COMMENT 'incrementation automatique',
			`nom_categorie` char(10) NOT NULL,
			`surface` int(11) NOT NULL default '0',
			`loyer_min` int(11) NOT NULL default '0',
			`loyer_moy` int(11) NOT NULL default '0',
			`loyer_max` int(11) NOT NULL default '0',
			PRIMARY KEY  (`num_categorie`)
			) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;";
$res = mysql_query($requete) or die("Cration de la table categorie impossible");

//creation de la table etat
$requete = "CREATE TABLE IF NOT EXISTS `etat` (
			`num_etat` int(11) NOT NULL auto_increment,
			`nom_etat` char(10) NOT NULL,
			PRIMARY KEY  (`num_etat`)
			) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;";
$res = mysql_query($requete) or die("Cration de la table etat impossible");


//creation de la table personne
$requete = "CREATE TABLE IF NOT EXISTS `personne` (
			`nss` int(11) NOT NULL auto_increment,
			`nom` varchar(15) NOT NULL,
			`prenom` varchar(15) NOT NULL,
			`date_naissance` date NOT NULL,
			`profession` char(30) NOT NULL default 'NC',
			`revenu` int(11) NOT NULL default '0',
			`situation_prof` varchar(20) NOT NULL default 'NC',
			`prestation_sociale` int(11) NOT NULL default '0',
			PRIMARY KEY  (`nss`)
			) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=29 ;";
$res = mysql_query($requete) or die("Cration de la table personne impossible");

//creation de la table logement
$requete = "CREATE TABLE IF NOT EXISTS `logement` (
			`num_logement` int(11) NOT NULL auto_increment,
			`num_immeuble` int(11) NOT NULL,
			`num_categorie` int(11) NOT NULL,
			`num_etat` int(11) NOT NULL,
			`nss` int(11) NOT NULL,
			`adresse_prop` char(80) NOT NULL default 'NC',
			`date_last_refection` date NOT NULL,
			`disponibilite` char(10) NOT NULL default 'dispo',
			PRIMARY KEY (`num_logement`),
			FOREIGN KEY (`num_immeuble`) references immeuble (`num_immeuble`),
			FOREIGN KEY (`num_categorie`) references categorie (`num_categorie`),
			FOREIGN KEY (`num_etat`) references etat (`num_etat`),
			FOREIGN KEY (`nss`) references personne (`nss`)
			) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=115 ;";
$res = mysql_query($requete) or die("Cration de la table logement impossible");

//creation de la table bail
$requete = "CREATE TABLE IF NOT EXISTS `bail` (
			`num_bail` int(11) NOT NULL auto_increment,
			`num_logement` int(11) NOT NULL,
			`date_signature` date NOT NULL,
			`caution` int(11) NOT NULL default '0',
			`date_fin` date NOT NULL,
			PRIMARY KEY  (`num_bail`),
			FOREIGN KEY (`num_logement`) references logement (`num_logement`)
			) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=24 ;";
$res = mysql_query($requete) or die("Cration de la table bail impossible");


//creation de la table facture
$requete = "CREATE TABLE IF NOT EXISTS `facture` (
			`num_facture` int(11) NOT NULL auto_increment,
			`num_bail` int(11) NOT NULL,
			`date_payement` date NOT NULL,
			`charge_mens` int(11) NOT NULL default '0',
			`loyer` int(11) NOT NULL,
			PRIMARY KEY  (`num_facture`),
			FOREIGN KEY (`num_bail`) references bail (`num_bail`)
			) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5033 ;"; 
$res = mysql_query($requete) or die("Cration de la table facture impossible");


//creation de la table signe_par
$requete = "CREATE TABLE IF NOT EXISTS `signe_par` (
			`nss` int(11) NOT NULL,
			`num_bail` int(11) NOT NULL,
			`type_sign` char(25) NOT NULL default 'NC',
			`adresse_sign` char(60) default 'ND',
			PRIMARY KEY  (`nss`,`num_bail`),
			FOREIGN KEY (`nss`) references personne (`nss`),
			FOREIGN KEY (`num_bail`) references bail (`num_bail`)
			) ENGINE=InnoDB DEFAULT CHARSET=latin1;";
$res = mysql_query($requete) or die("Cration de la table signe_par impossible");


//creation de la table definit_locataire
$requete = "CREATE TABLE IF NOT EXISTS `definit_locataire` (
			`nss` int(11) NOT NULL,
			`num_bail` int(11) NOT NULL,
			PRIMARY KEY  (`nss`,`num_bail`),
			FOREIGN KEY (`nss`) references personne (`nss`),
			FOREIGN KEY (`num_bail`) references bail (`num_bail`)
			) ENGINE=InnoDB DEFAULT CHARSET=latin1;";
$res = mysql_query($requete) or die("Cration de la table defenit_locataire impossible");

//creation de la table est_a_charge
$requete = "CREATE TABLE IF NOT EXISTS `est_a_charge` (
			`nss1` int(11) NOT NULL,
			`nss2` int(11) NOT NULL,
			PRIMARY KEY  (`nss1`,`nss2`)
			) ENGINE=InnoDB DEFAULT CHARSET=latin1;";
$res = mysql_query($requete) or die("Cration de la table est_a_charge impossible");

echo "La creation de la base s'est bien effectue";
include './entree.php';
?>