<?php

$bdd_erreur = '';

/* Connection  la base de donnes. Renvoie le lien vers la base de donnes */
function bdd_connecter(){
   require_once('config.php');
   
   $lien = mysql_connect($bdd_host, $bdd_user, $bdd_password) or die('Impossible de se connecter  la base de donnes : '.mysql_error());
   mysql_select_db($bdd_db) or die('Impossible de slectionner la base : '.mysql_error());

   return $lien;
}

/* Dconnection  la base de donnes */
function bdd_fermer($lien){
   mysql_close($lien);
}

/* Renvoie le message d'erreur correspondant  la dernire erreur */
function bdd_erreur(){
   global $bdd_erreur;
   return $bdd_erreur;
}

/* Effectue une requte et renvoie le rsultat de mysql_query() (false en cas d'erreur) */
function bdd_requete($requete){
   if (!($result = mysql_query($requete)))
      echo('Impossible d\'excuter la requte : '.mysql_error());
   return $result;
}
/*
// Effacement des tables. Renvoie true en cas de succs, false sinon 
function bdd_detruire_tables(){
   $result = true;
   
   $result &= bdd_requete('DROP TABLE Immo_Paiement');
   $result &= bdd_requete('DROP TABLE Immo_Signataire');
   $result &= bdd_requete('DROP TABLE Immo_Locataire');
   $result &= bdd_requete('DROP TABLE Immo_Bail');
   $result &= bdd_requete('DROP TABLE Immo_Logement');
   $result &= bdd_requete('DROP TABLE Immo_Proprietaire');
   $result &= bdd_requete('DROP TABLE Immo_Immeuble');
   $result &= bdd_requete('DROP TABLE Immo_Quartier');
   $result &= bdd_requete('DROP TABLE Immo_Ville');
   
   if ($result)
      return true;
   else
   {
      global $bdd_erreur;
      $bdd_erreur = 'Impossible de dtruire toutes les tables de la base de donnes : '.mysql_error();
      return false;
   }
}

// Cration des tables. Renvoie true en cas de succs, false sinon 
function bdd_creer_tables(){
   $result = true;

   $result &= bdd_requete('CREATE TABLE Immo_Ville (
      num_ville INT PRIMARY KEY AUTO_INCREMENT,
      nom CHAR(40))');

   $result &= bdd_requete('CREATE TABLE Immo_Quartier (
      num_quartier INT PRIMARY KEY AUTO_INCREMENT,
      nom CHAR(40),
      code_postal CHAR(5),
      num_ville INT REFERENCES Immo_Ville(num_ville))');

   $result &= bdd_requete('CREATE TABLE Immo_Immeuble (
      num_immeuble INT PRIMARY KEY AUTO_INCREMENT,
      nom CHAR(40),
      date_construction DATE,
      date_refection DATE,
      total_charges INT,
      adresse CHAR(60),
      num_quartier INT REFERENCES Immo_Quartier(num_quartier))');

   $result &= bdd_requete('CREATE TABLE Immo_Proprietaire (
      num_proprietaire INT PRIMARY KEY AUTO_INCREMENT,
      nom CHAR(40),
      prenom CHAR(40),
      adresse CHAR(100),
      telephone CHAR(20))');

   $result &= bdd_requete('CREATE TABLE Immo_Logement (
      num_logement INT PRIMARY KEY AUTO_INCREMENT,
      numero INT,
      surface INT,
      type_logement CHAR(2),
      etat INT,
      date_refection DATE,
      num_immeuble INT REFERENCES Immo_Immeuble(num_immeuble),
      num_proprietaire INT REFERENCES Immo_Proprietaire(num_proprietaire))');

   $result &= bdd_requete('CREATE TABLE Immo_Bail (
      num_bail INT PRIMARY KEY AUTO_INCREMENT,
      date_signature DATE,
      date_fin DATE,
      caution INT,
      loyer INT,
      charges INT,
      num_logement INT REFERENCES Immo_Logement(num_logement))');

   $result &= bdd_requete('CREATE TABLE Immo_Locataire (
      num_locataire INT PRIMARY KEY AUTO_INCREMENT,
      nom CHAR(40),
      prenom CHAR(40),
      date_naissance DATE,
      profession CHAR(40),
      situation CHAR(40),
      telephone CHAR(20),
      revenu INT,
      aides_sociales INT,
      num_bail INT REFERENCES Immo_Bail(num_bail))');

   $result &= bdd_requete('CREATE TABLE Immo_Signataire (
      num_signataire INT PRIMARY KEY AUTO_INCREMENT,
      nom CHAR(40),
      prenom CHAR(40),
      adresse CHAR(100),
      telephone CHAR(20),
      num_bail INT REFERENCES Immo_Bail(num_bail))');

   $result &= bdd_requete('CREATE TABLE Immo_Paiement (
      num_paiement INT PRIMARY KEY AUTO_INCREMENT,
      mois DATE,
      date_paiement DATE,
      num_bail INT REFERENCES Immo_Bail(num_bail))');
   
   if ($result)
      return true;
   else
   {
      global $bdd_erreur;
      $bdd_erreur = 'Impossible de crer les tables de la base de donnes : '.mysql_error();
      return false;
   }
}

//Insertions de donnes par dfaut dans les tables. Renvoie true en cas de succs, false sinon 
function bdd_remplir(){
   $result = true;
   
   $result &= bdd_requete('INSERT INTO Immo_Ville(nom) VALUES ("Bordeaux")');
   $result &= bdd_requete('INSERT INTO Immo_Ville(nom) VALUES ("Rouvres-Les-Vignes")');
   $result &= bdd_requete('INSERT INTO Immo_Ville(nom) VALUES ("Saint Simeux")');
   $result &= bdd_requete('INSERT INTO Immo_Ville(nom) VALUES ("Rennes")');

   $result &= bdd_requete('INSERT INTO Immo_Quartier(nom, code_postal, num_ville) VALUES ("Victoire", "33000", 1)');
   $result &= bdd_requete('INSERT INTO Immo_Quartier(nom, code_postal, num_ville) VALUES ("Saint Genes", "33800", 1)');
   $result &= bdd_requete('INSERT INTO Immo_Quartier(nom, code_postal, num_ville) VALUES ("Begles", "33170", 1)');
   $result &= bdd_requete('INSERT INTO Immo_Quartier(nom, code_postal, num_ville) VALUES ("Quartier Henry", "10200", 2)');
   $result &= bdd_requete('INSERT INTO Immo_Quartier(nom, code_postal, num_ville) VALUES ("Quartier Du Moulin", "10210", 2)');
   $result &= bdd_requete('INSERT INTO Immo_Quartier(nom, code_postal, num_ville) VALUES ("La Fontaine", "10220", 2)');
   $result &= bdd_requete('INSERT INTO Immo_Quartier(nom, code_postal, num_ville) VALUES ("Les Remparts", "16120", 3)');
   $result &= bdd_requete('INSERT INTO Immo_Quartier(nom, code_postal, num_ville) VALUES ("Quartier de la Poste", "16120", 3)');
   $result &= bdd_requete('INSERT INTO Immo_Quartier(nom, code_postal, num_ville) VALUES ("La Poterie", "35000", 4)');
   $result &= bdd_requete('INSERT INTO Immo_Quartier(nom, code_postal, num_ville) VALUES ("Blosne", "35200", 4)');
   $result &= bdd_requete('INSERT INTO Immo_Quartier(nom, code_postal, num_ville) VALUES ("QG de la Mafia", "35007", 4)');

   $result &= bdd_requete('INSERT INTO Immo_Immeuble(nom, date_construction, date_refection, total_charges, adresse, num_quartier) VALUES ("Renovatio", "1943-12-01", "1987-01-01", 3000, "8 rue des Augustins", 1)');
   $result &= bdd_requete('INSERT INTO Immo_Immeuble(nom, date_construction, date_refection, total_charges, adresse, num_quartier) VALUES ("Immeuble de ma voisine", "1953-08-01", "1983-01-01", 6000, "16 rue des Augustins", 1)');
   $result &= bdd_requete('INSERT INTO Immo_Immeuble(nom, date_construction, date_refection, total_charges, adresse, num_quartier) VALUES ("Le Brissou", "1986-02-01", NULL, 2000, "13 rue Jean Dujardin", 2)');
   $result &= bdd_requete('INSERT INTO Immo_Immeuble(nom, date_construction, date_refection, total_charges, adresse, num_quartier) VALUES ("La maison jaune", "1893-01-01", "2002-12-01", 1000, "6 rue Gaston Cheq", 4)');
   $result &= bdd_requete('INSERT INTO Immo_Immeuble(nom, date_construction, date_refection, total_charges, adresse, num_quartier) VALUES ("La maison du pervers", "1983-09-01", NULL, 1000, "1 impasse du Moulin", 5)');
   $result &= bdd_requete('INSERT INTO Immo_Immeuble(nom, date_construction, date_refection, total_charges, adresse, num_quartier) VALUES ("La maison du bonheur", "1931-03-01", "1973-03-01", 500, "rue de lEglise", 7)');
   $result &= bdd_requete('INSERT INTO Immo_Immeuble(nom, date_construction, date_refection, total_charges, adresse, num_quartier) VALUES ("La maison de Leo", "1955-03-01", "1983-03-01", 800, "rue de lEglise", 7)');
   $result &= bdd_requete('INSERT INTO Immo_Immeuble(nom, date_construction, date_refection, total_charges, adresse, num_quartier) VALUES ("Amogadrie", "1915-06-01", "1963-07-01", 800, "rue de la Poste", 8)');
   $result &= bdd_requete('INSERT INTO Immo_Immeuble(nom, date_construction, date_refection, total_charges, adresse, num_quartier) VALUES ("Le Landry", "1955-10-01", NULL, 8000, "7 rue de la Victoire", 9)');
   $result &= bdd_requete('INSERT INTO Immo_Immeuble(nom, date_construction, date_refection, total_charges, adresse, num_quartier) VALUES ("Le Triangle", "1975-11-06", "1996-02-02", 5000, "14 rue de la Pepiniere", 10)');
   $result &= bdd_requete('INSERT INTO Immo_Immeuble(nom, date_construction, date_refection, total_charges, adresse, num_quartier) VALUES ("La maison souriante", "1977-07-07", "1997-04-02", 2000, "41 bis rue Le Dantec", 11)');

   $result &= bdd_requete('INSERT INTO Immo_Proprietaire(nom, prenom, adresse, telephone) VALUES ("Gamma", "Lincoln", "8 rue de la Paix. 33000 Bordeaux", "0521456978")');
   $result &= bdd_requete('INSERT INTO Immo_Proprietaire(nom, prenom, adresse, telephone) VALUES ("Catanese", "Cecilia", "80 Av Albert Schweitzer. 33600 Pessac", "0506785412")');
   $result &= bdd_requete('INSERT INTO Immo_Proprietaire(nom, prenom, adresse, telephone) VALUES ("Durand", "Brice", "3 rue de la bicyclette. 55004 Iznoville", "0401896514")');
   $result &= bdd_requete('INSERT INTO Immo_Proprietaire(nom, prenom, adresse, telephone) VALUES ("Henry", "Celine", "66 av du Phoenix. 33600 Pessac", "0514896574")');
   $result &= bdd_requete('INSERT INTO Immo_Proprietaire(nom, prenom, adresse, telephone) VALUES ("Treny", "Simon", "Le Bourg. 16120 Saint Simeux", "0626945411")');

   $result &= bdd_requete('INSERT INTO Immo_Logement(numero, surface, type_logement, etat, date_refection, num_immeuble, num_proprietaire) VALUES (12, 20, "T1", 3, "1977-01-28", 1, 1)');
   $result &= bdd_requete('INSERT INTO Immo_Logement(numero, surface, type_logement, etat, date_refection, num_immeuble, num_proprietaire) VALUES (6, 21, "T1", 1, "2004-03-11", 4, 1)');
   $result &= bdd_requete('INSERT INTO Immo_Logement(numero, surface, type_logement, etat, date_refection, num_immeuble, num_proprietaire) VALUES (41, 19, "T1", 0, "2005-04-17", 2, 5)');
   $result &= bdd_requete('INSERT INTO Immo_Logement(numero, surface, type_logement, etat, date_refection, num_immeuble, num_proprietaire) VALUES (21, 22, "T2", 2, "1999-01-18", 8, 3)');
   $result &= bdd_requete('INSERT INTO Immo_Logement(numero, surface, type_logement, etat, date_refection, num_immeuble, num_proprietaire) VALUES (13, 23, "T2", 1, "1989-10-25", 5, 3)');
   $result &= bdd_requete('INSERT INTO Immo_Logement(numero, surface, type_logement, etat, date_refection, num_immeuble, num_proprietaire) VALUES (25, 20, "T1", 3, "1990-12-17", 8, 4)');
   $result &= bdd_requete('INSERT INTO Immo_Logement(numero, surface, type_logement, etat, date_refection, num_immeuble, num_proprietaire) VALUES (4, 25, "T2", 1, "2005-06-25", 7, 4)');

   $result &= bdd_requete('INSERT INTO Immo_Bail(date_signature, date_fin, caution, loyer, charges, num_logement) VALUES ("2004-01-01","2008-01-01", 500, 250, 20, 1)');
   $result &= bdd_requete('INSERT INTO Immo_Bail(date_signature, date_fin, caution, loyer, charges, num_logement) VALUES ("2004-03-01","2008-03-01", 700, 380, 30, 2)');
   $result &= bdd_requete('INSERT INTO Immo_Bail(date_signature, date_fin, caution, loyer, charges, num_logement) VALUES ("2002-09-01","2007-09-01", 650, 350, 30, 3)');
   $result &= bdd_requete('INSERT INTO Immo_Bail(date_signature, date_fin, caution, loyer, charges, num_logement) VALUES ("2002-09-01","2008-09-01", 650, 350, 30, 4)');
   $result &= bdd_requete('INSERT INTO Immo_Bail(date_signature, date_fin, caution, loyer, charges, num_logement) VALUES ("1997-12-01","2001-12-01", 650, 340, 20, 4)');
   $result &= bdd_requete('INSERT INTO Immo_Bail(date_signature, date_fin, caution, loyer, charges, num_logement) VALUES ("2003-02-01","2009-02-01", 700, 400, 40, 5)');
   $result &= bdd_requete('INSERT INTO Immo_Bail(date_signature, date_fin, caution, loyer, charges, num_logement) VALUES ("2004-07-01","2008-07-01", 900, 500, 50, 7)');
   
   $result &= bdd_requete('INSERT INTO Immo_Locataire(nom, prenom, date_naissance, profession, situation, telephone, revenu, aides_sociales, num_bail) VALUES ("Joubert", "Matthieu", "1986-09-24", "peintre","indpendant", "0514896521", 1400,150,1)');
   $result &= bdd_requete('INSERT INTO Immo_Locataire(nom, prenom, date_naissance, profession, situation, telephone, revenu, aides_sociales, num_bail) VALUES ("Henry", "Sylvain", "1986-03-14", "musicien","demandeur d\'emploi", "0545217896", 0,200,2)');
   $result &= bdd_requete('INSERT INTO Immo_Locataire(nom, prenom, date_naissance, profession, situation, telephone, revenu, aides_sociales, num_bail) VALUES ("Guerrero", "Suzanne", "1986-05-12", "pilote","salari", "0545217896", 1800,200,2)');
   $result &= bdd_requete('INSERT INTO Immo_Locataire(nom, prenom, date_naissance, profession, situation, telephone, revenu, aides_sociales, num_bail) VALUES ("Cohe", "Aurlie", "1986-10-10", "conceptrice de jeux vido","salari CDD", "0504789520", 1700,100,3)');
   $result &= bdd_requete('INSERT INTO Immo_Locataire(nom, prenom, date_naissance, profession, situation, telephone, revenu, aides_sociales, num_bail) VALUES ("Rouveyrol", "Claire", "1985-05-23", "traductrice","salari CDI", "0546588211", 1725,356,4)');
   $result &= bdd_requete('INSERT INTO Immo_Locataire(nom, prenom, date_naissance, profession, situation, telephone, revenu, aides_sociales, num_bail) VALUES ("Martin", "Jean", "1962-11-25", "artisan","indpendant", "0478998523", 1300,400,5)'); 
   $result &= bdd_requete('INSERT INTO Immo_Locataire(nom, prenom, date_naissance, profession, situation, telephone, revenu, aides_sociales, num_bail) VALUES ("Martin", "Carole", "1967-02-04", "secrtaire","salari CDI", "0478998523", 1200,0,5)'); 
   $result &= bdd_requete('INSERT INTO Immo_Locataire(nom, prenom, date_naissance, profession, situation, telephone, revenu, aides_sociales, num_bail) VALUES ("Martin", "Anne", "1984-06-12", "tudiante",NULL, "0478998523", 0,0,5)'); 
   $result &= bdd_requete('INSERT INTO Immo_Locataire(nom, prenom, date_naissance, profession, situation, telephone, revenu, aides_sociales, num_bail) VALUES ("Martin", "Pierre", "1990-08-18", "colier",NULL, "0478998523", 0,0,5)'); 

   if ($result)
      return true;
   else
   {
      global $bdd_erreur;
      $bdd_erreur = 'Impossible d\'insrer toutes les donnes dans la table de la base de donnes : '.mysql_error();
      return false;
   }
}
*/
?>
