<?php
require_once('bdd_fonctions.php');
require_once('bdd_ville_fonctions.php');

/* Connexion  la base de donnes */
$lien = bdd_connecter();

/* On rcupre l'action  raliser, et on la ralise */
if (isset($_GET['action'])){
   $action = $_GET['action'];

   /* Ajoute la ville dans la base de donnes */
   if ($action == 'ajouter'){
      $nom = $_GET['nom'];
      if (bdd_ville_inserer($nom))
         $message = 'Ville correctement ajoute';
      else
         $message = bdd_erreur();
   }
   /* Supprime la ville de la base de donnes */
   else if ($action == 'supprimer'){
      $num_ville = $_GET['num_ville'];
      if (bdd_ville_supprimer($num_ville))
         $message = 'Ville correctement supprime';
      else
         $message = bdd_erreur();
   }
   /* Ralise une mise  jour d'une ville existante */
   else if ($action == 'modifier2'){
      $num_ville = $_GET['num_ville'];
      $nom = $_GET['nom'];
      if (bdd_ville_modifier($num_ville, $nom))
         $message = 'Ville correctement modifie';
      else
         $message = bdd_erreur();
   }
}

/* Affiche les villes de la base de donnes */
$result = bdd_ville_lister();

echo('<h1>Liste des villes</h1><div class="box">');
echo('<table>');
while (($ville = mysql_fetch_array($result))){
   echo('<tr>
      <td>'.$ville['nom'].'</td>
      <td><a href="index.php?section=gestion_quartiers&num_ville='.$ville['num_ville'].'">Grer les quartiers</a></td>
      <td><a href="index.php?section=gestion_villes&num_ville='.$ville['num_ville'].'&action=modifier"><img src="images/modifier.png" alt="Modifier"/></a></td>
      <td><a href="index.php?section=gestion_villes&num_ville='.$ville['num_ville'].'&action=supprimer"><img src="images/supprimer.png" alt="Supprimer"/></a></td>
      </tr>');
}
echo('</table></div>');

mysql_free_result($result);

/* Affiche le message de l'opration ralise */
if (isset($message)){
   echo('<h1>Rsultat de l\'opration</h1>');
   echo('<div class="box">'.$message.'</div>');
}

/* En fonction de l'action  raliser, on change certains paramtres du formulaire d'ajout/modification */
if ($action == 'modifier'){
   $num_ville = $_GET['num_ville'];
   $ville = bdd_ville_obtenir($num_ville);
   $titre = 'Modifier une ville';
   $label = 'Modifier la ville';
   $action = 'modifier2';
}
else{
   $num_ville = 0;
   $ville = array();
   $titre = 'Ajouter une ville';
   $label = 'Ajouter la ville';
   $action = 'ajouter';
}

/* Affiche le formulaire d'ajout/modification */

echo('<h1>'.$titre.'</h1>
   <div class="box">
   <form method="GET" action="index.php">
      <input type="hidden" name="section" value="gestion_villes"/>
      <input type="hidden" name="action" value="'.$action.'"/>
      <input type="hidden" name="num_ville" value="'.$num_ville.'"/>
      <table>
      <tr><td><b>Nom de la ville :</b></td><td><input type="text" name="nom" value="'.$ville['nom'].'"/></td></tr>
      <tr><td></td><td><input type="submit" value="'.$label.'"/></td></tr>
      </table>
   </form>
   </div>');


/* Ferme la connexion  la base de donnes */
bdd_fermer($lien);

?>
