-- drop.sql --

-- ************************************************** --
--                                                    --
--                   PROJET SGBD                      --
--        Gestion d'une agence immobiliere            --
--                    equipe :                        --
--             EL AFRIT Mohamed Amine                 --
--                   KHABOU Amal                      --
--             MAKHLOUF Mohamed Mehdi                 --
--                                                    --
--                                                    --
-- ************************************************** --



-- la suppression des table doit se faire dans l'ordre inverse en tenant 
-- compte des dependance des FOREIGN KEY

DROP VIEW logement_reel;
DROP VIEW immeuble_reel;

DROP TABLE signe_par;
DROP TABLE definit_locataire;
DROP TABLE est_a_charge;
DROP TABLE facture;
DROP TABLE bail;
DROP TABLE logement;
DROP TABLE personne;
DROP TABLE categorie;
DROP TABLE etat;
DROP TABLE immeuble;
DROP TABLE quartier;
DROP TABLE ville;


DROP SEQUENCE seq_quartier;
DROP SEQUENCE seq_immeuble;
DROP SEQUENCE seq_categorie;
DROP SEQUENCE seq_etat;
DROP SEQUENCE seq_personne;
DROP SEQUENCE seq_logement;
DROP SEQUENCE seq_bail;
DROP SEQUENCE seq_facture;
