-- mise_a_jour_trigger.sql --

-- ************************************************** --
--                                                    --
--                   PROJET SGBD                      --
--        Gestion d'une agence immobiliere            --
--                    equipe :                        --
--             EL AFRIT Mohamed Amine                 --
--                   KHABOU Amal                      --
--             MAKHLOUF Mohamed Mehdi                 --
--                                                    --
--                                                    --
-- ************************************************** --




--Changement de l'etat du logement quand il y a eu une refection recemment:
--On suppose qu'un logement est en bon tat si la dernire rfection est effectue il y a 30 jours

UPDATE Logement
SET num_etat=3;
WHERE (date_last_refection > (select trunc( sysdate , 'mon') - 30 FROM dual));

--En effet suite  une mise_a_jour ou une insertion dans la table logement, on doit dclencher la mise_a_ jour prcdente.

create trigger trig_refection
        AFTER update or insert ON logement
 	    BEGIN
 		UPDATE logement
 		SET num_etat=3;
 		WHERE (date_last_refection > (select trunc( sysdate , 'mon') - 30 FROM dual));
		END; 
/

--Changement de la date de derniere refection pour un logement

PROMPT Changement de la dat de la derniere refection :
ACCEPT numlog PROMPT ' entrez le numero du logement: '
ACCEPT dateref PROMPT ' entrez la nouvelle date de refection: '
update logement
SET date_last_refection='&dateref'
WHERE (num_logement='&numlog');

--normalement aprs cette mise_a_jour le triggeer trig_refection doit s'appliquer
-- mais ce dernier  ne marche pas
drop trigger trig_refection;


--suppression d'un logement donne
--(ex: num_logement = 104)

PROMPT Le prorietaire ne loue plus son logement :
ACCEPT numlog PROMPT ' entrez le numero du logement: '
UPDATE logement 
SET disponibilite = 'supprime'
WHERE (num_logement = '&numlog');

--suppression d'un immeuble donne
--(ex: num_immeuble = 3)

PROMPT Immeuble ne est plus destine a la location :
ACCEPT numimmeuble PROMPT ' entrez le numero Immeuble: '
UPDATE immeuble
SET etat = 'supprime' 
WHERE (num_immeuble = '&numimmeuble');

--la suppression d'un immeuble induit la suppression de tous les 
--logements qui y figurent
create trigger trig_immeuble
        AFTER update ON  immeuble
	    BEGIN
		UPDATE logement
		SET logement.disponibilite = 'supprime'
		WHERE (immeuble.etat = 'supprime')
		AND (immeuble.num_immeuble = logement.num_immeuble)
END;  
/

drop trig_immeuble;




