-- requetes_historique.sql --

-- ************************************************** --
--                                                    --
--                   PROJET SGBD                      --
--        Gestion d'une agence immobiliere            --
--                    equipe :                        --
--             EL AFRIT Mohamed Amine                 --
--                   KHABOU Amal                      --
--             MAKHLOUF Mohamed Mehdi                 --
--                                                    --
--                                                    --
-- ************************************************** --

--***************************--
-- Requtes historique       --
--***************************--

--Renouvellement  de bail avec/sans maintien des locataires

PROMPT Liste des baux renouves avec ou sans maintien des locataires 
select DISTINCT B1.num_logement
       FROM bail B1, bail B2, signe_par S1 , signe_par S2
       WHERE (B1.num_logement = B2.num_logement)
       AND (B1.date_signature != B2.date_signature)
       AND (S1.num_bail = B1.num_bail)
       AND (S2.num_bail = B2.num_bail)
       AND (S1.type_sign != 'garant')
       AND (S2.type_sign != 'garant')
       AND (S1.nss= S2.nss);

--historique des factures pour un logement donne entre 2 dates donnees 
--(ex: 01-janvier-2007 et 25-may-2007 pour le logement 102)

PROMPT Historique des factures pour un logement donne entre 2 dates donnees:
ACCEPT date1 PROMPT 'entrez la premiere date de recherche: '
ACCEPT date2 PROMPT 'entrez la deuxieme date de recherche: '
ACCEPT numlogement PROMPT 'entrez le numero du logement: '
select num_facture, (charges_mens + loyer) AS Total_mensuel
       FROM facture F
       where ('&date1'<= F.date_payement)
       AND ( F.date_payement < '&date2')
       AND F.num_bail NOT IN
       	   	    (select num_bail 
    		    	FROM bail B 
    		    	where (B.date_fin < '&date1') 
    			    AND (B.num_logement ='&numlogement'));