-- requetes_immeuble.sql --

-- ************************************************** --
--                                                    --
--                   PROJET SGBD                      --
--        Gestion d'une agence immobiliere            --
--                    equipe :                        --
--             EL AFRIT Mohamed Amine                 --
--                   KHABOU Amal                      --
--             MAKHLOUF Mohamed Mehdi                 --
--                                                    --
--                                                    --
-- ************************************************** --

--***************************--
--  Requtes  Immeuble       --
--***************************--

--Liste des logements vides dans un immeuble donne
--(ex: Aigle)

PROMPT Liste des logements vides dans un immeuble donne:
ACCEPT nomimmeuble PROMPT'entrez le nom immeuble: '
Select num_logement
       FROM logement_reel L, immeuble_reel I
       WHERE (I.nom_immeuble = '&nomimmeuble')
       AND (I.num_immeuble = L.num_immeuble) 
       AND (L.num_logement NOT IN
       	     		    (select num_logement
			    	    FROM bail B
						WHERE (B.date_fin > sysdate)));	

--Charges annuelles percues par un immeuble donne
--(ex: Aigle)

PROMPT Charges annuelles percues par un immeuble donne:
ACCEPT nomimmeuble PROMPT'entrez le nom immeuble: '
select sum(charges_mens) AS total_charges
       FROM facture F, immeuble_reel 
       where (nom_immeuble = '&nomimmeuble') 
	   AND ('01-jan-2007'<= F.date_payement)
       AND ( F.date_payement < '31-dec-2007')
       AND F.num_bail NOT IN
       	   	    (select num_bail 
    		    	    FROM bail B 
    		    	    where (B.date_fin < '01-jan-2007') 
						AND (B.num_logement IN
       			    			(Select num_logement
							FROM immeuble_reel I, logement_reel L
							where (I.nom_immeuble = '&nomimmeuble') 
							AND (L.num_immeuble = I.num_immeuble))));


							