-- requetes_logement.sql --

-- ************************************************** --
--                                                    --
--                   PROJET SGBD                      --
--        Gestion d'une agence immobiliere            --
--                    equipe :                        --
--             EL AFRIT Mohamed Amine                 --
--                   KHABOU Amal                      --
--             MAKHLOUF Mohamed Mehdi                 --
--                                                    --
--                                                    --
-- ************************************************** --

--***************************--
--   Requtes  Logement      --
--***************************--

-- Adresse d'un logement donn
--(ex: 104)

PROMPT Adresse du logement donne:
ACCEPT numlogement PROMPT 'entrez le numero du logement: '
SELECT L.num_logement,  I.nom_immeuble, I.complement_adresse, Q.nom_quartier,
	Q.code_postal, V.nom_ville 
	FROM immeuble I, logement L, quartier Q, ville V 
		WHERE (L.num_logement='&numlogement')
		AND (I.num_immeuble=L.num_immeuble)
 		AND (I.num_quartier=Q.num_quartier)
		AND (V.code_postal=Q.code_postal);

--Liste des logements occupes a une date donne
--(ex: 22-nov-2007)

--Premire mthode

PROMPT Les logements occupes a une date donnee:
ACCEPT date PROMPT 'entrez la date de recherche: '
SELECT DiSTINCT B.num_logement
       FROM bail B
       WHERE (B.date_signature < '&date')
       AND (B.date_fin > '&date');

--Deuxime mthode

PROMPT Liste des logements occupes a une date donnee:
ACCEPT date PROMPT 'entrez la date de recherche: '
Select num_logement
       FROM logement_reel L
       WHERE (L.num_logement IN
       	     		    (select B.num_logement
			    	    FROM bail B
				        WHERE (B.date_fin > '&date')));

--Liste des logements vides 
--

PROMPT Liste des logements vides 

SELECT * FROM logement_reel L 
         WHERE num_logement NOT IN 
	      		   (SELECT num_logement FROM bail 
			   	   		WHERE date_fin > sysdate);
    
--Liste des logements vides dont le loyer_moy est inferieur a un prix donne
--(ex: 3000 euros)

PROMPT Liste des logements vides dont le loyer_moy est inferieur a un prix donne:
ACCEPT prix PROMPT 'Entrez le prix maximum que vous pourriez payer:'
SELECT * FROM logement_reel L 
         WHERE num_logement NOT IN 
	      		   (SELECT num_logement FROM bail 
			   	   		WHERE date_fin > sysdate)
       	AND L.num_categorie IN
			    (SELECT c.num_categorie
		            FROM categorie c 
			    WHERE loyer_moy < '&prix');	   