-- requetes_ville.sql --

-- ************************************************** --
--                                                    --
--                   PROJET SGBD                      --
--        Gestion d'une agence immobiliere            --
--                    equipe :                        --
--             EL AFRIT Mohamed Amine                 --
--                   KHABOU Amal                      --
--             MAKHLOUF Mohamed Mehdi                 --
--                                                    --
--                                                    --
-- ************************************************** --

--***************************--
--  Requtes  Ville          --
--***************************--

-- Liste des quartiers contenus dans une ville donnee
--(ex: Bordeaux)

PROMPT Les quartiers dans une ville donne:
ACCEPT nomville PROMPT 'entrez le nom de la ville: '
SELECT Q.nom_quartier
	FROM quartier Q, ville V 
	WHERE (Q.code_postal=V.code_postal)
	AND (V.nom_ville= '&nomville');

--Liste des baux en cours dans une ville donne a une date donnee
--(ex: Bordeaux, 20-nov-2007)

--Premiere methode
PROMPT Liste des baux en cours dans une ville donnee:
ACCEPT nomville PROMPT 'entrez le nom de la ville: '
ACCEPT date PROMPT 'entrez la date de recherche: '
Select num_bail
       FROM bail B, logement_reel L, immeuble_reel I, quartier Q, ville V
       WHERE (B.num_logement = L.num_logement)
       AND (B.date_fin > '&date')
       AND (L.num_immeuble = I.num_immeuble)
       AND (I.num_quartier = Q.num_quartier)
       AND (Q.code_postal = V.code_postal)
       AND (V.nom_ville = '&nomville');

--Deuxieme methode
PROMPT Liste des baux en cours dans une ville donnee:
ACCEPT nomville PROMPT 'entrez le nom de la ville: '
ACCEPT date PROMPT 'entrez la date de recherche: '
Select num_bail
       FROM bail B, logement_reel L
       WHERE (B.date_fin > '&date')
       AND (B.num_logement = L.num_logement)
       AND L.num_logement IN
       	   		(Select num_logement 
       				FROM logement_reel L1, immeuble_reel I
      				WHERE (I.num_immeuble = L1.num_immeuble)
       				AND I.num_immeuble IN 
       	   			    		(Select num_immeuble 
       						 	FROM immeuble_reel I1, quartier Q
       							WHERE (I1.num_quartier = Q.num_quartier)
       							AND Q.num_quartier IN 
       	   			    		 	     		(Select num_quartier
       	    					 	 		  	FROM quartier Q1, ville V
       	    						 			WHERE (Q1.code_postal = V.code_postal)
												AND (V.nom_ville = '&nomville'))));
