import agence.*;
import agence.Gestion.*;
import java.sql.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.table.*;
import java.awt.Dimension;

public class Agence_Immobiliere {

  public static final String url =
      "jdbc:oracle:thin:/pass@localhost:1521:XE";

  private static JFrame frame = null;
  private static Connection connection = null;

  public static void createAndShowFrame () {

    // activation des decorations
    //JFrame.setDefaultLookAndFeelDecorated(true);

    // creation de la fenetre
    frame = new JFrame("AGENCE IMMOBILIERE");
    //frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

    // creation de la barre de menu
    createMenuBar();

    // affichage de la fenetre
    frame.setSize(800, 600);
    frame.setVisible(true);

  }
	//creation des menus

  public static void createMenuBar () {

    JMenuBar bar = new JMenuBar();

    JMenu menu1 = new JMenu("VILLE");
    JMenu menu2 = new JMenu("QUARTIERS");
    JMenu menu3 = new JMenu("IMMEUBLES");
    JMenu menu4 = new JMenu("LOGEMENTS");
    JMenu menu5 = new JMenu("PERSONNES");
    JMenu menu6 = new JMenu("HISTORIQUE");

    RemplirJMenuVilles(menu1);
    RemplirJMenuQuartiers(menu2);
    RemplirJMenuImmeubles(menu3);
    RemplirJMenuLogements(menu4);
    RemplirJMenuPersonnes(menu5);
	RemplirJMenuHistorique(menu6);
    
    bar.add(menu1);
    bar.add(menu2);
    bar.add(menu3);
    bar.add(menu4);
    bar.add(menu5);
	bar.add(menu6);
	
    frame.setJMenuBar(bar);
  }

  public static void RemplirJMenuVilles (JMenu menu) {

    JMenuItem item1 = new JMenuItem("Consulter");
    item1.addActionListener(new ActionListener() {
      public void actionPerformed (ActionEvent e) {
        Gestion.gestionRequeteNonParametree(frame,connection,
                                               ConsulterVille.class);
      }
    }
    );
    menu.add(item1);
	menu.addSeparator();

    JMenuItem item2 = new JMenuItem("Inserer");
    item2.addActionListener(new ActionListener() {
      public void actionPerformed (ActionEvent e) {
        Gestion.gestionAjout(frame, connection,
                                            InsererVille.class);
      }
    }
    );
    menu.add(item2);
    menu.addSeparator();

   JMenuItem item3 = new JMenuItem("Liste des quartiers");
   item3.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           ListeQuartiers.class);
     }
   }
   );
   menu.add(item3);
   menu.addSeparator();

   JMenuItem item4 = new JMenuItem("Liste des baux en cours");
   item4.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           ListeBauxenCours.class);
     }
   }
   );
   menu.add(item4);
   menu.addSeparator();
   }
   
  public static void RemplirJMenuQuartiers (JMenu menu) { 

   JMenuItem item1 = new JMenuItem("consulter");
   item1.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteNonParametree(frame, connection,
                                           ConsulterQuartier.class);
     }
   }
   );
   menu.add(item1);
   menu.addSeparator();

   JMenuItem item2 = new JMenuItem("Inserer");
   item2.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionAjout(frame, connection,
                                           InsererQuartier.class);
     }
   }
   );
   menu.add(item2);
   menu.addSeparator();


   JMenuItem item3 = new JMenuItem("Liste des immeubles");
   item3.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           ListeImmeubles.class);
     }
   }
   );
   menu.add(item3);
   menu.addSeparator();
  }

public static void RemplirJMenuImmeubles (JMenu menu) { 
   JMenuItem item1 = new JMenuItem("Consulter");
   item1.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteNonParametree(frame, connection,
                                           ConsulterImmeuble.class);
     }
   }
   );
   menu.add(item1);
   menu.addSeparator();

   JMenuItem item2 = new JMenuItem("Inserer");
   item2.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionAjout(frame, connection,
                                           InsererImmeuble.class);
     }
   }
   );
   menu.add(item2);
   menu.addSeparator();


   JMenuItem item3 = new JMenuItem("Supprimer");
  // item3.addActionListener(new ActionListener() {
  //   public void actionPerformed (ActionEvent e) {
    //   Gestion.gestionSuppression(frame, connection,
   //                                        SupprimerImmeuble.class);
   //  }
  // }
  // );
   menu.add(item3);
   menu.addSeparator();

   JMenuItem item4 = new JMenuItem("liste des logements vides");
   item4.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           ListeLogementsVides.class);
     }
   }
   );
   menu.add(item4);
   menu.addSeparator();


   JMenuItem item5 = new JMenuItem("Charges annuelles perues");
   item5.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           ChargesAnnuelles.class);
     }
   }
   );
   menu.add(item5);
   menu.addSeparator();
}

public static void RemplirJMenuLogements (JMenu menu) { 

   JMenuItem item1 = new JMenuItem("Consulter");
   item1.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteNonParametree(frame, connection,
                                           ConsulterLogement.class);
     }
   }
   );
   menu.add(item1);
   menu.addSeparator();

   JMenuItem item2 = new JMenuItem("Inserer");
   item2.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionAjout(frame, connection,
                                           InsererLogement.class);
     }
   }
   );
   menu.add(item2);
   menu.addSeparator();


   JMenuItem item3 = new JMenuItem("Supprimer");
  // item3.addActionListener(new ActionListener() {
   //  public void actionPerformed (ActionEvent e) {
     //  Gestion.gestionSuppression(frame, connection,
    //                                       SupprimerLogement.class);
    // }
 //  }
  // );
   menu.add(item3);
   menu.addSeparator();
   
   JMenuItem item4 = new JMenuItem("Adresse");
   item4.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           Adresse.class);
     }
   }
   );
   menu.add(item4);
   menu.addSeparator();
   
   JMenuItem item5 = new JMenuItem("Liste des logements occups  une date donne");
   item5.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           ListeLogementsOccupesDate.class);
     }
   }
   );
   menu.add(item5);
   menu.addSeparator();
   
   JMenuItem item6 = new JMenuItem("Liste des logements vides dont le loyer est infrieur  un prix donn");
   item6.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           ListeLogementsLoyInf.class);
     }
   }
   );
   menu.add(item6);
   menu.addSeparator();
  }
   
   
public static void RemplirJMenuPersonnes (JMenu menu) { 
   JMenuItem item1 = new JMenuItem("Consulter");
   item1.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteNonParametree(frame, connection,
                                           ConsulterPersonne.class);
     }
   }
   );
   menu.add(item1);
   menu.addSeparator();

   JMenuItem item2 = new JMenuItem("Inserer");
   item2.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionAjout(frame, connection,
                                           InsererPersonne.class);
     }
   }
   );
   menu.add(item2);
   menu.addSeparator();


   JMenuItem item3 = new JMenuItem("Revenus totaux d'une famille donne occupant un logement donn");
   item3.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           RevenusToFamOccupLogement.class);
     }
   }
   );
   menu.add(item3);
   menu.addSeparator();
   
   JMenuItem item4 = new JMenuItem("Loyer pay mensuellement par un locataire donn");
   item4.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           LoyerPayMensLocataire.class);
     }
   }
   );
   menu.add(item4);
   menu.addSeparator();
   JMenuItem item5 = new JMenuItem("Total mensuel moyen des loyers collects par un propritaire");
   item5.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           TotMensMoyColProprietaire.class);
     }
   }
   );
   menu.add(item5);
   menu.addSeparator();


   JMenuItem item6 = new JMenuItem("Liste des occupants d'un immeuble donn ayant un retard de loyer");
   item6.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           ListeOccupRetardLoyer.class);
     }
   }
   );
   menu.add(item6);
   menu.addSeparator();
 }

  public static void RemplirJMenuHistorique (JMenu menu) { 

   JMenuItem item1 = new JMenuItem("Liste des baux renouvels");
   item1.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           ListeBauxRenouveles.class);
     }
   }
   );
   menu.add(item1);
   menu.addSeparator();

   JMenuItem item2 = new JMenuItem("Historique des payements des loyers pour un logement entre 2 dates");
   item2.addActionListener(new ActionListener() {
     public void actionPerformed (ActionEvent e) {
       Gestion.gestionRequeteParametree(frame, connection,
                                           HistoriquePayement.class);
     }
   }
   );
   menu.add(item2);
   menu.addSeparator();
  }
  
	//connection  la base de donnes
  public static void establishConnection () {

    try {
      Class.forName("oracle.jdbc.driver.OracleDriver");
    }
    catch (ClassNotFoundException ex) {
      JOptionPane.showMessageDialog(null, "driver introuvable",
                                    "Erreur", JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }

    try {
      connection = DriverManager.getConnection(url, "SYSTEM", "mallou55");
    }
    catch (SQLException ex2) {
      JOptionPane.showMessageDialog(null,
                                    "Ne peut se connecter  la base de donnes",
                                    "Erreur",
                                    JOptionPane.ERROR_MESSAGE);
      System.exit(1);
    }
  }

  public static void main (String[] args) {

  

    //Connection
    establishConnection();

    // creation et affichage de la fenetre
    createAndShowFrame();

  }

}