package agence;
 import javax.swing.JFrame;
 import java.sql.*;
 
 public class ChargesAnnuelles extends 
 	TableModelRequeteParametreeAbstraite {
 		
  public static final String req = "select sum(charges_mens) AS total_charges" +
       "FROM facture" +
       "where ('01-jan-2007'<= date_payement)" +
       "AND (date_payement < '31-dec-2007')" +
       "AND facture.num_bail NOT IN" +
       	   	    "(select num_bail" + 
    		    	    "FROM bail " +
    		    	    "where (date_fin < '01-jan-2007')" + 
    			    "AND (bail.num_logement IN" +
       			    			"(Select num_logement" +
							"FROM immeuble_reel , logement_reel" +
							"where (nom_immeuble = ?)" +
							"AND (logement_reel.num_immeuble = immeuble_reel.num_immeuble))))";

  public static final String[] columnNames = {"charges_mens"};
  
  public static String [] valueNames ={"nom_immeuble"}; 
  
  public static int [] valueTypes = {Types.VARCHAR};
  
  public static String[] params = {"nom_immeuble"};
  
  public ChargesAnnuelles(Connection conn, JFrame frame, Object [] values) {
   super(req, columnNames, params, values, valueNames, valueTypes, conn, frame);
  }
 }