package agence;
 import javax.swing.JFrame;
 import java.sql.*;
 
 public class ListeBauxenCours extends 
 	TableModelRequeteParametreeAbstraite {
 		
  public static final String req = "Select num_bail" +
       "FROM bail , logement_reel , immeuble_reel , quartier , ville " +
       "WHERE (bail.num_logement = logement_reel.num_logement)" +
       "AND (date_fin > ?)" +
       "AND (logement_reel.num_immeuble = immeuble_reel.num_immeuble)" +
       "AND (immeuble_reel.num_quartier = quartier.num_quartier)" +
       "AND (quartier.code_postal = ville.code_postal)" +
       "AND (nom_ville = ?)"; 

  public static final String[] columnNames = {"num_Bail"};
  
  public static String [] valueNames ={"nom_ville","date_fin"}; 
  
  public static int [] valueTypes = {Types.VARCHAR, Types.DATE};
  
  public static String[] params = {"nom_ville", "date_fin"};
  
  public ListeBauxenCours(Connection conn, JFrame frame, Object [] values) {
   super(req, columnNames, params, values, valueNames, valueTypes, conn, frame);
  }
 }
  