package agence;
 import javax.swing.JFrame;
 import java.sql.*;
 
 public class ListeLogementsLoyInf extends 
 	TableModelRequeteParametreeAbstraite {
 		
  public static final String req = "SELECT num_logement FROM logement_reel" + 
         "WHERE num_logement NOT IN" + 
	      		   "(SELECT num_logement FROM bail" + 
			   	   		"WHERE date_fin > sysdate)" +
						"AND num_categorie IN" +
						    		    "(SELECT loyer_moy" + 
								    	    "FROM categorie" + 
									    "WHERE loyer_moy < ?)";
									    
  public static final String[] columnNames = {"num_logement"};
  
  public static String [] valueNames ={"loyer_moy"}; 
  
  public static int [] valueTypes = {Types.INTEGER};
  
  public static String[] params = {"loyer_moy"};
  
  public ListeLogementsLoyInf(Connection conn, JFrame frame, Object [] values) {
    super(req, columnNames, params, values, valueNames, valueTypes, conn, frame);
  
  }
 }