package agence;
 import javax.swing.JFrame;
 import java.sql.*;
 
 public class ListeLogementsVides extends 
 	TableModelRequeteParametreeAbstraite {
 		
  public static final String req = "Select num_logement" +
       "FROM logement_reel L , immeuble_reel I"+
       "WHERE (nom_immeuble = ?)" +
       "AND (I.num_immeuble = L.num_immeuble)" + 
       "AND (num_logement NOT IN" +
       	     		    "(select num_logement"+
			    	    "FROM bail " +
				    "WHERE (date_fin > sysdate)))";

  
  public static final String[] columnNames = {"num_logement"};
  
  public static String [] valueNames ={"nom_immeuble"}; 
  
  public static int [] valueTypes = {Types.VARCHAR};
  
  public static String[] params = {"nom_immeuble"};
  
  public ListeLogementsVides(Connection conn, JFrame frame, Object [] values) {
    super(req, columnNames, params, values, valueNames, valueTypes, conn, frame);
  }
 }