package agence;
 import javax.swing.JFrame;
 import java.sql.*;
 
 public class ListeQuartiers extends 
 	TableModelRequeteParametreeAbstraite {
 		
  public static final String req = "SELECT nom_quartier"+
	"FROM quartier Q, ville V" +
	"WHERE (Q.code_postal = V.code_postal)" +
	"AND (nom_ville= ?)";

  public static final String[] columnNames = {"nom_quartier"};
  
  public static String [] valueNames ={"nom_ville"};
   
  public static int [] valueTypes = {Types.VARCHAR};
  
  public static String[] params = {"nom_ville"};
  
  public ListeQuartiers(Connection conn, JFrame frame, Object [] values) {
    super(req, columnNames, params, values, valueNames, valueTypes, conn, frame);
  }
 }
  