package agence;
 import javax.swing.JFrame;
 import java.sql.*;
 
 public class RevenusToFamOccupLogement extends 
 	TableModelRequeteParametreeAbstraite {
 		
  public static final String req = "Select sum( revenu) As Revenu_Total" +
       "from personne P , bail B, definit_locataire D"+
       "WHERE (B.num_bail = D.num_bail)"+
       "AND (D.nss = P.nss)"+
       "AND (P.Nom = ? )"+
       "AND (B.num_bail IN"+ 
       	   	       	"(Select B.num_bail "+
		     	    "from immeuble I , logement L, bail B"+
		     	    "WHERE (I.nom_immeuble = '&nomimmeuble')"+
		     	    "AND (I.num_immeuble = L.num_immeuble)"+
		     	    "AND (L.num_logement = B.num_logement)"+
		     	    "AND (B.date_fin > SYSDATE)))";
		     	    
  public static final String[] columnNames = {"Revenu_Total"};
  
  public static String [] valueNames ={"nom_immeuble"}; 
  
  public static int [] valueTypes = {Types.VARCHAR};
  
  public static String[] params = {"nom_immeuble"};
  
  public RevenusToFamOccupLogement(Connection conn, JFrame frame, Object [] values) {
    super(req, columnNames, params, values, valueNames, valueTypes, conn, frame);
  }
 }