-- remplissage.sql --

-- ************************************************** --
--                                                    --
--                   PROJET SGBD                      --
--        Gestion d'une agence immobiliere            --
--                    equipe :                        --
--             EL AFRIT Mohamed Amine                 --
--                   KHABOU Amal                      --
--             MAKHLOUF Mohamed Mehdi                 --
--                                                    --
--                                                    --
-- ************************************************** --

-- ******************** --
-- derniere mise a jour --
--      2-12-2007      --
--         par          --
--       KHABOU       --
-- ******************** --

--dernieres Modifications:
--j'ai rempli l'attribut charges dans la table immeuble.
--Modifications: 28-11
--j'ai homognis tout ce qui est nom_quartier, nom_ville,nom_immeuble:commencent par une majuscule,
--pour la table personne nom en mjuscule, prnom commence par une majuscule
--pour la table signe_par j'ai remplac NULL par 'AS': valeur par dfaut.
--j'ai rempli la table est_a_charge

--************--
--  entites   --
--************--

-- ** remplissage ville ** --

INSERT INTO ville VALUES (33000,'Bordeaux');
INSERT INTO ville VALUES (33400,'Talence');
INSERT INTO ville VALUES (33600,'Pessac');
INSERT INTO ville VALUES (33700,'Merignac');
INSERT INTO ville VALUES (38000,'Grenoble');
INSERT INTO ville VALUES (29300,'Ty Meur');
INSERT INTO ville VALUES (69001,'Fourviere');
INSERT INTO ville VALUES (69009,'Vaise');
INSERT INTO ville VALUES (35000,'Villejean');

-- ** remplissage quartier ** --

INSERT INTO quartier VALUES (seq_quartier.nextval,'Chartron',33000);
INSERT INTO quartier VALUES (seq_quartier.nextval,'Art_et_Metiers',33400);
INSERT INTO quartier VALUES (seq_quartier.nextval,'Ty Meur',29300);
INSERT INTO quartier VALUES (seq_quartier.nextval,'Fourviere',69001);
INSERT INTO quartier VALUES (seq_quartier.nextval,'Vaise',69009);
INSERT INTO quartier VALUES (seq_quartier.nextval,'Villejean',35000);	

-- ** remplissage immeuble ** --

INSERT INTO immeuble VALUES (seq_immeuble.nextval,2,'Cloitre de Segur','01-jan-1985','25-mar-1999','20 Rue de Segur',500,'dispo');
INSERT INTO immeuble VALUES (seq_immeuble.nextval,3,'Aigle','01-jan-1970','28-jun-1980','45 Rue Sainte Catherine',1000,'dispo');
INSERT INTO immeuble VALUES (seq_immeuble.nextval,1,'La Cabane','14-jul-2003','12-oct-2007','1 Avenue des facultes',1500,'dispo');
INSERT INTO immeuble VALUES (seq_immeuble.nextval,4,'Terrasses de St Jean','17-nov-1950','12-feb-1998','13 Rue Vauban',500,'dispo');
INSERT INTO immeuble VALUES (seq_immeuble.nextval,5,'Bellevue','29-oct-1966','12-feb-1998','23 Rue de la Duchere',1200,'dispo');
INSERT INTO immeuble VALUES (seq_immeuble.nextval,3,'Oree de St Cyr','20-dec-2005','20-dec-2005','5 Rue Pasteur',700,'dispo');
INSERT INTO immeuble VALUES (seq_immeuble.nextval,2,'Belvedere','05-aug-1986','13-apr-2000','10 Rue de la Poste',2000,'dispo');

-- ** remplissage categorie ** --

INSERT INTO categorie VALUES (seq_categorie.nextval,'F1',15,500,600,700);
INSERT INTO categorie VALUES (seq_categorie.nextval,'F2',29,700,900,1100);
INSERT INTO categorie VALUES (seq_categorie.nextval,'F3',45,1400,1600,2000);
INSERT INTO categorie VALUES (seq_categorie.nextval,'F4',60,1800,2200,2500);
INSERT INTO categorie VALUES (seq_categorie.nextval,'F5',70,2400,2800,3000);
INSERT INTO categorie VALUES (seq_categorie.nextval,'F6',80,3000,3500,4500);
INSERT INTO categorie VALUES (seq_categorie.nextval,'Studio',23,600,700,900);
INSERT INTO categorie VALUES (seq_categorie.nextval,'Cabane',13,400,500,700);


-- ** remplissage etat ** --

INSERT INTO etat VALUES (seq_etat.nextval,'Vetuste');
INSERT INTO etat VALUES (seq_etat.nextval,'A renover');
INSERT INTO etat VALUES (seq_etat.nextval,'Bon');
INSERT INTO etat VALUES (seq_etat.nextval,'Neuf');

-- ** remplissage personne ** --

INSERT INTO personne VALUES (seq_personne.nextval,'BONNEAU','Jean','01-dec-1957','Boucher',1500,'Independant',0);
INSERT INTO personne VALUES (seq_personne.nextval,'MARTIN','Ben','25-mar-1986','Etudiant',0,'Etudiant',120);
INSERT INTO personne VALUES (seq_personne.nextval,'ZOTTO','Henri','12-jul-1980','Assistant traiteur',1200,'Salarie CDI',50);
INSERT INTO personne VALUES (seq_personne.nextval,'ANDRE','Emillian','21-jan-1965','Avocat',6500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'HENRI','Therry','05-oct-1967','Chirurgien',7500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'BARTEZ','Fabien','21-jan-1970','professeur',2500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'MAKHLOUF','Mehdi','06-feb-1979','Decorateur',4500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'ELAFRIT','Mohamed','11-jul-1970','Condicteur',2000,'Salarie CDD',40);
INSERT INTO personne VALUES (seq_personne.nextval,'KHABOU','Amal','05-aug-1960','Ingenieur',3500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'GATTI','Stephanie','09-nov-1974','MUSICIEN',5500,'Independant',0);
INSERT INTO personne VALUES (seq_personne.nextval,'HENRY','Sylvain','15-oct-1967','Chirurgien',6500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'CATANESE','Cecile','05-apr-1975','Ingenieur',4500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'MANSOUR','Frederic','08-may-1971','Ophtalmologue',8500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'MARTINI','Plouquette','30-mar-1969','Dentiste',4500,'Independant',0);
INSERT INTO personne VALUES (seq_personne.nextval,'LACHAT','Cedric','05-oct-1980','Commercial',3500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'MARTIN','Guillaume','09-may-1964','Professeur',4500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'MARTIN','Celine','25-oct-1987','Etudiant',0,'Etudiant',550);
INSERT INTO personne VALUES (seq_personne.nextval,'MARTIN','Agnes','29-oct-1967','Vendeuse',1500,'Salarie CDD',0);
INSERT INTO personne VALUES (seq_personne.nextval,'DUPONT','Bertrand','28-mar-1985','ETUDIANT',0,'ETUDIANT',0);
INSERT INTO personne VALUES (seq_personne.nextval,'MERBETH','Gael','22-may-1989','Serveur',1200,'Salarie CDD',200);
INSERT INTO personne VALUES (seq_personne.nextval,'DUPONT','Pierre','05-oct-1956','Opticien',8500,'Independant',0);
INSERT INTO personne VALUES (seq_personne.nextval,'DUPONT','Aurelie','12-sep-1960','Institutrice',2500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'DUPONT','Delphine','23-jan-1986','Etudiant',0,'Etudiant',150);
INSERT INTO personne VALUES (seq_personne.nextval,'DUPONT','Alice','14-apr-1980','Ingenieur',3500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'Zoro','Henri','12-jul-1970','traiteur',1200,'Salarie CDI',50);
INSERT INTO personne VALUES (seq_personne.nextval,'ANDRE','Caty','1-jan-1965','Avocat',6500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'HENRI','Claude','15-oct-1969','sportif',7500,'Salarie CDI',0);
INSERT INTO personne VALUES (seq_personne.nextval,'COUPET','Greg','12-jan-1975','professeur',2500,'Salarie CDI',0);

-- ** remplissage logement ** --

INSERT INTO logement VALUES (seq_logement.nextval,1,1  ,1,1,'2 rue Francois Mitterand Paris 75000','04-jul-2001','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,1,6  ,2,2,'20 Rue de Segur Bordeaux 33000','08-apr-2002','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,2,5  ,2,3,'3 rue Jean Jaures Bordeaux 33000','25-aug-1999','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,2,7  ,3,4,'5 rue Allemagne Toulouse','13-dec-1997','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,2,2  ,4,5,'34 rue belvedere Paris 75000','25-aug-1999','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,3,4  ,2,6,'5 avenue Neil Armstrong Merignac 33700','14-jul-2003','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,4,3  ,3,7,'12 Avenue des Pythagores Pessac 33600','12-jul-2001','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,4,8  ,3,8,'14 rue des martyres bordeaux 33000','06-jan-2003','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,5,2  ,2,9,'55 avenue des cristalines Toulouse','18-feb-2005','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,5,4  ,1,10,'13 rue des factures bordeaux 33000','29-mar-2006','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,5,4  ,4,11,'29 rue des jolis Grenoble 38000','29-oct-2006','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,5,6  ,4,12,'14 rue Italie pessac 33600','29-oct-2001','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,6,1  ,1,13,'7 avenue de France Paris 75000','01-jan-2007','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,6,1  ,3,14,'87 place Espagne Barcelone','03-jan-2007','dispo');
INSERT INTO logement VALUES (seq_logement.nextval,7,2  ,4,15,'25 Avenue Hamilcar Toulouse','25-jul-2006','dispo');

-- ** remplissage bail ** --
   
INSERT INTO bail VALUES (seq_bail.nextval,103,'01-jan-1998',5600,'01-jan-2004'); 
INSERT INTO bail VALUES (seq_bail.nextval,103,'30-jan-2005',6000,'30-jan-2008');
INSERT INTO bail VALUES (seq_bail.nextval,110,'15-apr-1992',1400,'15-apr-1995');
INSERT INTO bail VALUES (seq_bail.nextval,110,'15-jun-1995',1000,'15-jun-2004');
INSERT INTO bail VALUES (seq_bail.nextval,110,'26-aug-2004',1200,'26-aug-2010'); 
INSERT INTO bail VALUES (seq_bail.nextval,101,'01-jan-1993',1400,'01-jan-1996'); 
INSERT INTO bail VALUES (seq_bail.nextval,101,'01-jan-1996',1400,'01-jan-1999'); 
INSERT INTO bail VALUES (seq_bail.nextval,101,'01-jan-1999',1400,'01-jan-2002'); 
INSERT INTO bail VALUES (seq_bail.nextval,101,'01-jan-2001',1400,'01-jan-2004'); 
INSERT INTO bail VALUES (seq_bail.nextval,101,'01-jan-2004',1400,'01-jan-2007'); 
INSERT INTO bail VALUES (seq_bail.nextval,101,'01-jan-2007',1400,'01-jan-2010'); 
INSERT INTO bail VALUES (seq_bail.nextval,114,'15-feb-1995',3600,'15-feb-2004'); 
INSERT INTO bail VALUES (seq_bail.nextval,114,'01-mar-2004',3600,'01-mar-2013'); 
INSERT INTO bail VALUES (seq_bail.nextval,102,'30-jan-1997',9000,'30-jan-2003'); 
INSERT INTO bail VALUES (seq_bail.nextval,102,'01-may-2000',6000,'01-may-2009'); 
INSERT INTO bail VALUES (seq_bail.nextval,106,'01-may-1999',5000,'01-may-2008'); 
INSERT INTO bail VALUES (seq_bail.nextval,112,'01-feb-1994',9000,'01-feb-1997'); 
INSERT INTO bail VALUES (seq_bail.nextval,112,'15-sep-1997',7000,'15-sep-2003'); 
INSERT INTO bail VALUES (seq_bail.nextval,112,'01-oct-2003',6000,'01-oct-2012'); 
INSERT INTO bail VALUES (seq_bail.nextval,107,'06-jun-2000',2800,'06-jun-2009'); 
INSERT INTO bail VALUES (seq_bail.nextval,108,'01-jul-2002',800, '01-jul-2011'); 
INSERT INTO bail VALUES (seq_bail.nextval,108,'21-dec-1999',6000,'21-dec-2008'); 
INSERT INTO bail VALUES (seq_bail.nextval,105,'01-aug-2004',1400,'01-aug-2013'); 

-- ** remplissage facture ** -- ****** en cours *****

INSERT INTO facture values (seq_facture.nextval, 5, '01-jan-2007', 100,700);
INSERT INTO facture values (seq_facture.nextval, 5, '01-feb-2007', 150,700);
INSERT INTO facture values (seq_facture.nextval, 5, '01-mar-2007', 200,700);
INSERT INTO facture values (seq_facture.nextval, 5, '01-apr-2007', 250,700);
INSERT INTO facture values (seq_facture.nextval, 5, '01-may-2007', 300,700);
INSERT INTO facture values (seq_facture.nextval, 5, '01-jun-2007', 350,700);
INSERT INTO facture values (seq_facture.nextval, 5, '20-jul-2007', 400,700);
INSERT INTO facture values (seq_facture.nextval, 5, '01-aug-2007', 450,700);
INSERT INTO facture values (seq_facture.nextval, 5, '01-sep-2007', 500,700);
INSERT INTO facture values (seq_facture.nextval, 5, '01-oct-2007', 550,700);
INSERT INTO facture values (seq_facture.nextval, 5, '01-nov-2007', 100,700);
INSERT INTO facture values (seq_facture.nextval, 5, '01-dec-2007', 150,700);
INSERT INTO facture values (seq_facture.nextval, 11, '01-jan-2007', 200,3000);
INSERT INTO facture values (seq_facture.nextval, 11, '01-feb-2007', 250,3000);
INSERT INTO facture values (seq_facture.nextval, 11, '01-mar-2007', 300,3000);
INSERT INTO facture values (seq_facture.nextval, 11, '01-apr-2007', 350,3000);
INSERT INTO facture values (seq_facture.nextval, 11, '01-may-2007', 400,3000);
INSERT INTO facture values (seq_facture.nextval, 11, '01-jun-2007', 450,3000);
INSERT INTO facture values (seq_facture.nextval, 11, '20-jul-2007', 500,3000);
INSERT INTO facture values (seq_facture.nextval, 11, '01-aug-2007', 550,3000);
INSERT INTO facture values (seq_facture.nextval, 11, '01-sep-2007', 100,3000);
INSERT INTO facture values (seq_facture.nextval, 11, '01-oct-2007', 150,3000);
INSERT INTO facture values (seq_facture.nextval, 11, '01-nov-2007', 200,3000);
INSERT INTO facture values (seq_facture.nextval, 11, '01-dec-2007', 250,3000);
INSERT INTO facture values (seq_facture.nextval, 15, '01-jan-2007', 300,1800);
INSERT INTO facture values (seq_facture.nextval, 15, '01-feb-2007', 350,1800);
INSERT INTO facture values (seq_facture.nextval, 15, '01-mar-2007', 400,1800);
INSERT INTO facture values (seq_facture.nextval, 15, '01-apr-2007', 450,1800);
INSERT INTO facture values (seq_facture.nextval, 15, '01-may-2007', 500,1800);
INSERT INTO facture values (seq_facture.nextval, 15, '01-jun-2007', 550,1800);
INSERT INTO facture values (seq_facture.nextval, 15, '20-jul-2007', 100,1800);
INSERT INTO facture values (seq_facture.nextval, 15, '01-aug-2007', 150,1800);
INSERT INTO facture values (seq_facture.nextval, 15, '01-dec-2007', 250,3000);
INSERT INTO facture values (seq_facture.nextval, 16, '01-jan-2007', 200,2000);
INSERT INTO facture values (seq_facture.nextval, 16, '01-feb-2007', 250,2000);
INSERT INTO facture values (seq_facture.nextval, 16, '01-mar-2007', 300,2000);
INSERT INTO facture values (seq_facture.nextval, 16, '01-apr-2007', 350,2000);
INSERT INTO facture values (seq_facture.nextval, 16, '01-may-2007', 400,2000);
INSERT INTO facture values (seq_facture.nextval, 16, '01-jun-2007', 450,2000);
INSERT INTO facture values (seq_facture.nextval, 16, '20-jul-2007', 500,2000);
INSERT INTO facture values (seq_facture.nextval, 16, '01-aug-2007', 550,2000);
INSERT INTO facture values (seq_facture.nextval, 16, '01-sep-2007', 100,2000);
INSERT INTO facture values (seq_facture.nextval, 16, '01-oct-2007', 150,2000);
INSERT INTO facture values (seq_facture.nextval, 16, '01-nov-2007', 200,2000);
INSERT INTO facture values (seq_facture.nextval, 16, '01-dec-2007', 250,2000);
INSERT INTO facture values (seq_facture.nextval, 19, '01-jan-2007', 100,700);
INSERT INTO facture values (seq_facture.nextval, 19, '01-feb-2007', 150,600);
INSERT INTO facture values (seq_facture.nextval, 19, '01-mar-2007', 200,600);
INSERT INTO facture values (seq_facture.nextval, 19, '01-apr-2007', 250,600);
INSERT INTO facture values (seq_facture.nextval, 19, '01-may-2007', 300,600);
INSERT INTO facture values (seq_facture.nextval, 19, '01-jun-2007', 350,600);
INSERT INTO facture values (seq_facture.nextval, 19, '20-jul-2007', 400,600);
INSERT INTO facture values (seq_facture.nextval, 19, '01-aug-2007', 450,600);
INSERT INTO facture values (seq_facture.nextval, 19, '01-sep-2007', 500,600);
INSERT INTO facture values (seq_facture.nextval, 19, '01-oct-2007', 550,600);
INSERT INTO facture values (seq_facture.nextval, 19, '01-nov-2007', 100,600);
INSERT INTO facture values (seq_facture.nextval, 19, '01-dec-2007', 150,600);


--*****************--
--  associations   --
--*****************--

-- ** remplissage signe_par ** --

INSERT INTO signe_par VALUES(16,1,'locataire','AS');
INSERT INTO signe_par VALUES(16,2,'locataire','AS');
INSERT INTO signe_par VALUES(19,3,'locataire','AS');
INSERT INTO signe_par VALUES(19,4,'locataire','AS');
INSERT INTO signe_par VALUES(19,5,'locataire','AS');
INSERT INTO signe_par VALUES(20,7,'locataire','AS');
INSERT INTO signe_par VALUES(20,8,'locataire','AS');
INSERT INTO signe_par VALUES(21,14,'locataire','AS');
INSERT INTO signe_par VALUES(21,15,'locataire','AS');
INSERT INTO signe_par VALUES(25,17,'payant_non_locataire','15 avenue de thouars Bordeaux 33000');
INSERT INTO signe_par VALUES(25,18,'payant_non_locataire','15 avenue de thouars Bordeaux 33000');
INSERT INTO signe_par VALUES(25,19,'payant_non_locataire','15 avenue de thouars Bordeaux 33000');
INSERT INTO signe_par VALUES(26,13,'payant_non_locataire','23 rue des beaux arts Merignac 33700');
INSERT INTO signe_par VALUES(26,16,'payant_non_locataire','23 rue des beaux arts Merignac 33700');
INSERT INTO signe_par VALUES(27,21,'Garant','19 rue de la liberte Pessac 33600');
INSERT INTO signe_par VALUES(28,22,'Garant','60 rue de la paix Bordeaux 33000');

-- ** remplissage definit_locataire ** --

INSERT INTO definit_locataire VALUES(16,1);
INSERT INTO definit_locataire VALUES(16,2);
INSERT INTO definit_locataire VALUES(17,1);
INSERT INTO definit_locataire VALUES(18,2);
INSERT INTO definit_locataire VALUES(17,2);
INSERT INTO definit_locataire VALUES(19,3);
INSERT INTO definit_locataire VALUES(19,4);
INSERT INTO definit_locataire VALUES(19,5);
INSERT INTO definit_locataire VALUES(20,7);
INSERT INTO definit_locataire VALUES(20,8);
INSERT INTO definit_locataire VALUES(22,14);
INSERT INTO definit_locataire VALUES(22,15);
INSERT INTO definit_locataire VALUES(21,14);
INSERT INTO definit_locataire VALUES(21,15);
INSERT INTO definit_locataire VALUES(23,14);
INSERT INTO definit_locataire VALUES(24,15);
INSERT INTO definit_locataire VALUES(24,14);


-- ** remplissage est_a_charge ** -- 

INSERT INTO est_a_charge VALUES(16,17);
INSERT INTO est_a_charge VALUES(21,23);

